com.creamtec.ajaxswing.laf

## Class AjaxSwingLightTheme

- java.lang.Object
- - javax.swing.plaf.metal.MetalTheme
  - - javax.swing.plaf.metal.DefaultMetalTheme
    - - javax.swing.plaf.metal.OceanTheme
      - - com.creamtec.ajaxswing.laf.AjaxSwingTheme
        - - com.creamtec.ajaxswing.laf.AjaxSwingLightTheme

-     public class AjaxSwingLightTheme
      extends AjaxSwingTheme

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxSwingLightTheme()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCustomEntriesToTable(javax.swing.UIDefaults table)`
    `javax.swing.plaf.ColorUIResource` | `getControl()`
    `javax.swing.plaf.ColorUIResource` | `getControlDarkShadow()`
    `javax.swing.plaf.ColorUIResource` | `getControlDisabled()`
    `javax.swing.plaf.ColorUIResource` | `getControlHighlight()`
    `javax.swing.plaf.ColorUIResource` | `getControlShadow()`
    `javax.swing.plaf.ColorUIResource` | `getDesktopColor()`
    `javax.swing.plaf.ColorUIResource` | `getFocusColor()`
    `javax.swing.plaf.ColorUIResource` | `getPrimaryControl()`
    `javax.swing.plaf.ColorUIResource` | `getPrimaryControlDarkShadow()`
    `javax.swing.plaf.ColorUIResource` | `getPrimaryControlShadow()`
    `javax.swing.plaf.ColorUIResource` | `getWindowTitleBackground()`
    `void` | `installDefaults()`

    - ### Methods inherited from class javax.swing.plaf.metal.OceanTheme

      `getControlTextColor, getInactiveControlTextColor, getMenuDisabledForeground, getName`

    - ### Methods inherited from class javax.swing.plaf.metal.DefaultMetalTheme

      `getControlTextFont, getMenuTextFont, getSubTextFont, getSystemTextFont, getUserTextFont, getWindowTitleFont`

    - ### Methods inherited from class javax.swing.plaf.metal.MetalTheme

      `getAcceleratorForeground, getAcceleratorSelectedForeground, getControlInfo, getHighlightedTextColor, getInactiveSystemTextColor, getMenuBackground, getMenuForeground, getMenuSelectedBackground, getMenuSelectedForeground, getPrimaryControlHighlight, getPrimaryControlInfo, getSeparatorBackground, getSeparatorForeground, getSystemTextColor, getTextHighlightColor, getUserTextColor, getWindowBackground, getWindowTitleForeground, getWindowTitleInactiveBackground, getWindowTitleInactiveForeground`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AjaxSwingLightTheme

          public AjaxSwingLightTheme()

  - ### Method Detail

    - #### addCustomEntriesToTable

          public void addCustomEntriesToTable(javax.swing.UIDefaults table)

      Overrides:
        `addCustomEntriesToTable` in class `javax.swing.plaf.metal.OceanTheme`

    - #### getControl

          public javax.swing.plaf.ColorUIResource getControl()

      Overrides:
        `getControl` in class `javax.swing.plaf.metal.MetalTheme`

    - #### getControlDarkShadow

          public javax.swing.plaf.ColorUIResource getControlDarkShadow()

      Overrides:
        `getControlDarkShadow` in class `javax.swing.plaf.metal.MetalTheme`

    - #### getControlDisabled

          public javax.swing.plaf.ColorUIResource getControlDisabled()

      Overrides:
        `getControlDisabled` in class `javax.swing.plaf.metal.MetalTheme`

    - #### getControlHighlight

          public javax.swing.plaf.ColorUIResource getControlHighlight()

      Overrides:
        `getControlHighlight` in class `javax.swing.plaf.metal.MetalTheme`

    - #### getControlShadow

          public javax.swing.plaf.ColorUIResource getControlShadow()

      Overrides:
        `getControlShadow` in class `javax.swing.plaf.metal.MetalTheme`

    - #### getDesktopColor

          public javax.swing.plaf.ColorUIResource getDesktopColor()

      Overrides:
        `getDesktopColor` in class `javax.swing.plaf.metal.OceanTheme`

    - #### getFocusColor

          public javax.swing.plaf.ColorUIResource getFocusColor()

      Overrides:
        `getFocusColor` in class `javax.swing.plaf.metal.MetalTheme`

    - #### getPrimaryControl

          public javax.swing.plaf.ColorUIResource getPrimaryControl()

      Overrides:
        `getPrimaryControl` in class `javax.swing.plaf.metal.MetalTheme`

    - #### getPrimaryControlDarkShadow

          public javax.swing.plaf.ColorUIResource getPrimaryControlDarkShadow()

      Overrides:
        `getPrimaryControlDarkShadow` in class `javax.swing.plaf.metal.MetalTheme`

    - #### getPrimaryControlShadow

          public javax.swing.plaf.ColorUIResource getPrimaryControlShadow()

      Overrides:
        `getPrimaryControlShadow` in class `javax.swing.plaf.metal.MetalTheme`

    - #### getWindowTitleBackground

          public javax.swing.plaf.ColorUIResource getWindowTitleBackground()

      Overrides:
        `getWindowTitleBackground` in class `javax.swing.plaf.metal.MetalTheme`

    - #### installDefaults

          public void installDefaults()

      Overrides:
        `installDefaults` in class `AjaxSwingTheme`

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.